// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       text_converter.h
 *  \brief      テキストコンバータ
 *  \date       Since: February 24, 2023. 2:57:40 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_TEXT_CONVERTER_H_1677175060
#define INCGUARD_TEXT_CONVERTER_H_1677175060

#include <mtk/text_stream.h>
#include <mtk/environment.h>

namespace MTK
{
#if defined(MTK_TARGET_WINDOWS)
bool ToShiftJIS(std::string &dest, const void *src, size_t size, TextEncoding encoding, bool existBOM = false) noexcept;
#endif
}   // namespace MTK

#endif	// INCGUARD_TEXT_CONVERTER_H_1677175060

// vim: et ts=4 sw=4 sts=4
