// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       text_def.h
 *  \brief      テキスト関連の定義
 *  \date       Since: October 4, 2018. 2:23:08 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_TEXT_DEF_H_1538587388
#define INCGUARD_TEXT_DEF_H_1538587388

namespace MTK
{
//! テキストのエンコードタイプ
enum class TextEncoding
{
    Auto,       //!< 自動認識
    UTF8,       //!< UTF-8
    UTF16BE,    //!< UTF-16 ビッグエンディアン
    UTF16LE,    //!< UTF-16 リトルエンディアン
    UTF32BE,    //!< UTF-32 ビッグエンディアン
    UTF32LE,    //!< UTF-32 リトルエンディアン
};
}   // namespace MTK

#endif  // INCGUARD_TEXT_DEF_H_1538587388

// vim: et ts=4 sw=4 sts=4
